Summary:	Easy to use front-end for ClamAV
Summary(pl.UTF-8):	Łatwa w użyciu nakładka graficzna na program antywirusowy ClamAV
Name:		clamtk
Version:	5.25
Release:	%mkrel 1
License:	Artistic
Group:		File tools
URL:		https://code.google.com/p/clamtk/
Source0:	https://bitbucket.org/dave_theunsub/%{name}/downloads/%{name}-%{version}.tar.xz
Patch0:		clamtk-5.11-fix-deprecated-icons.patch
Patch1:		clamtk-5.20-fix-UTF-8-decoding.patch
BuildRequires:	gettext
BuildRequires:	desktop-file-utils
Requires:	perl-Gtk2
Requires:	perl-Date-Calc
Requires:	perl-File-Find-Rule
Requires:	perl-libwww-perl
Requires:	perl-JSON
Requires:	perl-Text-CSV
Requires:	perl-Time-Piece
Requires:	perl-Digest-SHA
Requires:	perl-IO-Socket-SSL
Requires:   perl-Net-SSLeay
Requires:   perl-LWP-Protocol-https 
Requires:   perl-Net-HTTP
Requires:   perl-HTTP-Cookies
Requires:   perl-HTTP-Date
Requires:   perl-HTTP-Message
Requires: 	gnome-icon-theme
Requires:	clamav
Requires:	clamav-db
Requires:	yelp
AutoReqProv: 	no

%description
ClamTk is a GUI front-end for ClamAV using Gtk2-perl.
It is designed to be an easy-to-use, point and click
virus scanner for Linux systems.

%description -l pl.UTF-8
ClamTk jest to prosta nakładka graficzna na program antywirusowy ClamAV.


%prep
%setup -q
%apply_patches

%install

install -D -m0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m0644 images/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png
install -D -m0644 %{name}.1.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz
install -D -m0644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -d %{buildroot}%{perl_vendorlib}/ClamTk
install -m0644 lib/*.pm %{buildroot}%{perl_vendorlib}/ClamTk

# Install help files
# help/C/clamtk/figures
#for dir in help/* ; do
#	mkdir -p %{buildroot}%{_datadir}/$dir/
#	cp -a $dir/* %{buildroot}%{_datadir}/$dir/%{name}
#done

for n in po/*.mo ; do
	%{__install} -D -m0644 $n %{buildroot}%{_datadir}/locale/`basename $n .mo`/LC_MESSAGES/%{name}.mo
done

desktop-file-install \
	--add-category="GTK" \
	--remove-category="Security" \
	--remove-mime-type="vms/exe" \
	--add-category="X-MandrivaLinux-System-FileTools" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc CHANGES DISCLAIMER LICENSE
%{_bindir}/%{name}
%{perl_vendorlib}/ClamTk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1.*
#%{_datadir}/help

%changelog
* Wed Oct 04 2017 ghostbunny <ghostbunny at gmx dot de> 5.25-1pclos2017
- 5.25

* Wed Jul 19 2017 bb2 <bb2> - 5.20-3pclos2017
- add more req dep

* Tue Jul 18 2017 bb2 <bb2> - 5.20-2pclos2017
- rebuild against updates

* Sun Dec 06 2015 daniel <meisssw01 at gmail.com> 5.20-1pclos2015
- update 5.20
- add missing requires perl-IO-Socket-SSL
- edit clamtk-5.07-fix-UTF-8-decoding.patch

* Mon Sep 1 2015 kikim <klucznik0@op.pl> 5.19-2
- added patches and remove manual edit App.pm file

* Sun Aug 30 2015 kikim <klucznik0@op.pl> 5.19-1pclos2015
- new wersion

* Sun May 01 2015 ghostbunny <ghostbunny at gmx dot de> 5.17-1pclos2015
- 5.17
- add missing requires for perl-Digest-SHA

* Mon Mar 30 2015 bb <bb> 5.15-3pclos2015
- require gnome-icon-theme!

* Sun Mar 29 2015 bb <bb> 5.15-2pclos2015
- remove noarch due to different versions of perl

* Sat Mar 28 2015 pinoc <vogtpet at gmail.com> 5.15-1pclos2015
- 5.15

* Tue Nov 11 2014 bb <bb> 5.11-1pclos2014
- update

* Sun May 26 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 4.45-1pclos2013
- 4.45

